Opportunity Sources
Alle Operationen rund um Opportunity Sources.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Opportunity Source | opportunity_source |
3 | — | opportunity_source_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/opportunity_sources |
Create opportunity_source | Create a new opportunity_source in the active tenant. |
DELETE |
/v1/opportunity_sources/{id} |
Delete opportunity_source | Soft delete entity. |
GET |
/v1/opportunity_sources/{id} |
Get opportunity_source by id | Fetch a single opportunity_source. |
GET |
/v1/opportunity_sources/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/opportunity_sources/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/opportunity_sources/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/opportunity_sources |
List opportunity_sources | List opportunity_sources for the active tenant. |
PATCH |
/v1/opportunity_sources/{id} |
Patch opportunity_source | JSON Merge Patch update. |
POST |
/v1/opportunity_sources/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/opportunity_sources/{id}/transition |
POST /v1/opportunity_sources/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/opportunity_sources/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/opportunity_sources/{id} |
Replace opportunity_source | Full replace with optimistic locking. |